# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Copyright (C) 2010 Skyler Lehmkuhl
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import sys
import os
import gtk

from swift_swf.swift_swfconfig import getdatapath

class SaveDialog(gtk.Dialog):
    __gtype_name__ = "SaveDialog"

    def __init__(self):
        """__init__ - This function is typically not called directly.
        Creation of a SaveDialog requires redeading the associated ui
        file and parsing the ui definition extrenally, 
        and then calling SaveDialog.finish_initializing().
    
        Use the convenience function NewSaveDialog to create 
        a SaveDialog object.
    
        """
        pass

    def finish_initializing(self, builder):
        """finish_initalizing should be called after parsing the ui definition
        and creating a SaveDialog object with it in order to finish
        initializing the start of the new SaveDialog instance.
    
        """
        #get a reference to the builder and set up the signals
        self.builder = builder
        self.builder.connect_signals(self)
        self.builder.get_object("entry2").set_text("/home/"+os.getlogin()+"/Desktop")


    def ok(self, widget, data=None):
        """ok - The user has elected to save the changes.
        Called before the dialog returns gtk.RESONSE_OK from run().

        """
        pass

    def cancel(self, widget, data=None):
        """cancel - The user has elected cancel changes.
        Called before the dialog returns gtk.RESPONSE_CANCEL for run()

        """         
        pass
    @property
    def title_text(self):
        return self.builder.get_object("entry1").get_text()

    @property
    def path_text(self):
        return self.builder.get_object("entry2").get_text()
def NewSaveDialog():
    """NewSaveDialog - returns a fully instantiated
    dialog-camel_case_nameDialog object. Use this function rather than
    creating SaveDialog instance directly.
    
    """

    #look for the ui file that describes the ui
    ui_filename = os.path.join(getdatapath(), 'ui', 'SaveDialog.ui')
    if not os.path.exists(ui_filename):
        ui_filename = None

    builder = gtk.Builder()
    builder.add_from_file(ui_filename)    
    dialog = builder.get_object("filechooserdialog1")
    #dialog.finish_initializing(builder)
    dialog.set_current_folder("/home/"+os.getlogin()+"/")
    Filter = gtk.FileFilter()
    Filter.add_pattern("*.png")
    Filter.set_name("PNG Image")
    Filter1 = gtk.FileFilter()
    Filter1.add_pattern("*.jpg")
    Filter1.set_name("JPEG Image")
    dialog.add_filter(Filter)
    dialog.add_filter(Filter1)
    return dialog

if __name__ == "__main__":
    dialog = NewSaveDialog()
    dialog.show()
    gtk.main()

